Skip to main content
GET
/
commissions
/
summary
Get partner commission summary
curl --request GET \
  --url https://api-partner.houdiniswap.com/v2/commissions/summary \
  --header 'Authorization: <api-key>'
{
  "totalEarnings": 123,
  "pendingCommissions": 123,
  "processedCommissions": 123,
  "thisMonthEarnings": 123,
  "lastMonthEarnings": 123,
  "commissionCount": 123
}

Authorizations

Authorization
string
header
required

Query Parameters

month
string

Optional YYYY-MM filter. When provided, totalEarnings/pendingCommissions/processedCommissions/commissionCount are scoped to that month. thisMonthEarnings and lastMonthEarnings always reflect the current and previous calendar months.

Response

Success

totalEarnings
number<double>
required
pendingCommissions
number<double>
required
processedCommissions
number<double>
required
thisMonthEarnings
number<double>
required
lastMonthEarnings
number<double>
required
commissionCount
number<double>
required